Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List webhook subscriptions

GET/workspaces/{organizationId}/webhook-subscriptions
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Responses
200

Webhook subscriptions list

subscriptionsobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
urlstringrequired
eventsstringrequired
hasSecretbooleanrequired
createdAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/webhook-subscriptions' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "subscriptions": [
    {
      "id": "string",
      "organizationId": "string",
      "url": "string",
      "events": "string",
      "hasSecret": true,
      "createdAt": "string"
    }
  ]
}

Was this page helpful?